package com.njcn.device.pms.enums;

import lombok.Getter;

/**
 * pqs
 * 终端枚举
 * @author cdf
 * @date 2021/6/21
 */
@Getter
public enum PmsDeviceResponseEnum {

    /**
     * A0250 ~ A0349 用于终端模块的枚举
      */
    DEVICE_COMMON_ERROR("A00349","终端模块异常"),
    ORG_ITEM_EMPTY("A00360","未查询到指定组织机构"),
    Operation_ITEM_EMPTY("A00361","未查询到指定运维单位"),
    VOLTAGE_EMPTY("A00362","未查询到指定线路"),
    LINE_EMPTY("A00363","未查询到指定线路"),
    NO_USER_TYPE("A00364","未查询字典用户类型"),
    NO_STATION("A00365","未查询指定电站信息"),

    NO_LINE_SORT("A00366","未查询到字典监测点类别"),

    GENERATRIXWIRE_NAME_REPEAT("A00368","同一电站下存在相同名称线路"),
    GENERATRIX_NAME_REPEAT("A00369","同一电站下存在相同名称母线"),
    POWERGENERATIONUSER_SAME("A00370","发电用户名称或编号重复"),
    POWERCLINET_SAME("A00371","用电用户名称或编号重复"),
    WIRE_SAME("A00372","线路编号重复"),
    GENWIRE_SAME("A00373","母线编号重复"),
    POWER_CODE_SAME("A00374","台区名称或编号重复"),
    POWER_CLIENT_DIS_EMPTY("A00375","发电用电用户参数不可为空"),
    DIS_ADD_REPEAT("A00376","当前配网中存在相同编号该监测点"),
    STATION_REPEAT("A00377","已存在相同电站"),
    DEPT_STATION_REPEAT("A00378","单位下存在同名电站"),
    DEPT_MONITOR_REPEAT("A00379","单位下存在同名监测点"),


    POWER_CLIENT_NOT_FIND("A00380","查无此用电用户"),
    POWER_GEN_NOT_FIND("A00381","查无此发电用户"),
    POWER_DIS_NOT_FIND("A00382","查无此台区信息"),
    ONE_MONITOR_NOT_FIND("A00383","查无此I类监测点信息"),
    TWO_MONITOR_NOT_FIND("A00384","查无此II类监测点信息"),
    THREE_MONITOR_NOT_FIND("A00385","查无此III类监测点信息"),





    MODEL_NAME_REPEAT("A00350","名称不可重复"),
    TERMINAL_ID_REPEAT("A00351","终端索引已存在"),
    MONITOR_BIND_FIND("A00352","主网监测点存在绑定该装置关系,请先解除绑定关系"),
    DIS_MONITOR_BIND_FIND("A00353","配网监测点存在绑定该装置关系,请先解除绑定关系"),
    TERMINAL_BIND_FIND("A00354","装置管理存在绑定该电站关系,请先解除绑定关系"),
    WIRE_BIND_FIND("A00355","线路台账存在绑定该电站关系,请先解除绑定关系"),
    TRANSFORMER_ID_REPEAT("A00356","变压器编号重复"),

    NO_ID_STATION("A00357","变电站编号为空"),
    NO_ID_ORG("A00357","部门编号为空"),
    NE_ENERGY_ID("A003560","场站编号重复"),
    MONITOR_NE_ENERGY_FIND("A00361","主网监测点存在绑定该场站信息关系,请先解除绑定关系"),

    ;


    private final String code;

    private final String message;

    PmsDeviceResponseEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }
}
